CreateBareMetal2Instance
CreateBareMetal2Instance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe bare metal instance name.
descriptionStringOptional. The detailed description of the bare metal instance.
zoneUuidStringOptional. The zone UUID.
clusterUuidStringOptional. The cluster UUID.
gatewayUuidStringOptional. The gateway UUID.
chassisUuidStringOptional. The bare metal chassis UUID.
chassisOfferingUuidStringOptional. The chassis offering UUID.
imageUuidStringOptional. The image UUID.
primaryStorageUuidForRootVolumeStringOptional. The UUID of the primary storage where the root volume resides.
primaryStorageUuidForDataVolumeStringOptional. The UUID of the primary storage where data volumes resides.
dataDiskOfferingUuidsListOptional. The data volume offering UUID.
rootVolumeSystemTagsListOptional. The root volume offering UUID.
dataVolumeSystemTagsListOptional. The system tags of data volumes.
gatewayAllocatorStrategyStringOptional. The gateway allocation policy.
chassisDiskUuidStringOptional, The UUID of the local disk.
resourceUuidStringOptional. The bare metal instance UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/baremetal2/bm-instances
/zstack/v1/baremetal2/bm-instances
Request Example
curl -X POST 'http://{host}/zstack/v1/baremetal2/bm-instances' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","gatewayUuid":"<gatewayUuid>","chassisUuid":"<chassisUuid>","chassisOfferingUuid":"<chassisOfferingUuid>","imageUuid":"<imageUuid>","primaryStorageUuidForRootVolume":"<primaryStorageUuidForRootVolume>","primaryStorageUuidForDataVolume":"<primaryStorageUuidForDataVolume>","dataDiskOfferingUuids":["<dataDiskOfferingUuids>"],"rootVolumeSystemTags":["<rootVolumeSystemTags>"],"dataVolumeSystemTags":["<dataVolumeSystemTags>"],"gatewayAllocatorStrategy":"<gatewayAllocatorStrategy>","chassisDiskUuid":"<chassisDiskUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "chassisUuid": "abdb84a7186446828d679ca390400804", "lastChassisUuid": "2e16e29ad4d94a348d3f633358792ebe", "gatewayUuid": "8a2a62c0d26f46af9b835515ca26cf79", "lastGatewayUuid": "bc627e89139043e292aea1d691740f58", "chassisOfferingUuid": "b943087d48644fe7a9165d447b1197e6", "status": "Connected", "provisionType": "Remote", "uuid": "870fde072c314db49fb6c91ca6f893f6", "name": "BM-1", "description": "This is a BareMetal2 Instance.", "zoneUuid": "66bbd29bcd8d4313816dc6ed26e86c97", "clusterUuid": "f3b09f2ac776470bb0710db497e13b6c", "imageUuid": "1d499497394e443ba4d5f502d42ffff1", "rootVolumeUuid": "f88731c18e58481e8d7c98158e8b2948", "platform": "Linux", "type": "baremetal2", "memorySize": 8.589934592E9, "cpuNum": 8.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running" } }Change History
This API has no change history records yet.
